Skip to navigation

Namespaces List Continue

View as Markdown

Once a cursor has been retrieved from namespaces/list, use this to paginate through all team-accessible namespaces. Duplicates may occur in the list.

Required scope: team_data.member

Endpoint format: RPC

Authentication: Team

Authentication

AuthorizationBearer

Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.

Obtain via the authorization code flow with team-scoped permissions.

Grants access to team-wide administrative operations.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Request

This endpoint expects an object.
cursorstringRequired

Indicates from what point to get the next set of team-accessible namespaces.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
cursorstring

Pass the cursor into namespaces/list/continue to obtain additional namespaces. Note that duplicate namespaces may be returned.

has_moreboolean
Is true if there are additional namespaces that have not been returned yet.
namespaceslist of objects
List of all namespaces the team can access.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error